version 14

* FIGURE 2 Effects of Selected Attributes on Probability of Economic Program or Fiscal Scheme Being Selected by Ideology

******************  FIGURE 2: ECONOMIC POLICY CONJOINT PANELS
******** Marginal effect of attributes at different left right self positioning of respondents
use dataset2.dta, clear

**** Creation of the left-right variable (lr)
* do not position themselves
drop if D028_01==12
* do not know
drop if D028_01==13
rename D028_01 lr

* Dependent variable Y1: choice of economic policy program
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc ///
i.unemployment##c.lr i.inflation##c.lr i.taxsoc##c.lr i.euro##c.lr i.eucontrol##c.lr i.eutaxsoc##c.lr, cl(ID)

estimates save m1.ster, replace

**********  EU TAXSPEND
* Additional EU tax-spend
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b45, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
local a=1 
while `a' <= 11 {
{
generate x_betahat0 = MG_b17 
generate x_betahat1 = MG_b18 + MG_b43*(`a')
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
}
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
local a=`a'+ 0.1
display "." _c 
} 
display ""
postclose mypost
use sim.dta, clear
gen MV = _n

eclplot diff_hat diff_hi diff_lo MV, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xsca(noline) ytitle(" ", size(2.5)) xtitle("", size(2.5)) ///
xlabel(1 "left" 51 "centre" 101 "right", labsize(2.5)) ylabel(-0.06 "-0.06" -0.04 "-0.04" -0.02 "-0.02" 0 "0", labsize(2.5)) title("Economic policy: Additional EU tax-spend", size(2.5)) ///
yline(0, lcolor(black) lwidth(medthin)) saving(EUtax2_lrfig2, replace)

* Alternate EU tax-spend
restore, not
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b45, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
local a=1 
while `a' <= 11 {
{
generate x_betahat0 = MG_b17 
generate x_betahat1 = MG_b19 + MG_b44*(`a')
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
}
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
local a=`a'+ 0.1
display "." _c 
} 
display ""
postclose mypost
use sim.dta, clear
gen MV = _n

eclplot diff_hat diff_hi diff_lo MV, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xsca(noline) ytitle(" ", size(2.5)) xtitle("", size(2.5)) ///
xlabel(1 "left" 51 "centre" 101 "right", labsize(2.5)) ylabel(-0.04 "-0.04" -0.02 "-0.02" 0 "0", labsize(2.5)) title("Economic policy: Alternate EU tax-spend", size(2.5)) ///
yline(0, lcolor(black) lwidth(medthin)) saving(EUtax3_lrfig2, replace)

**********  EU CONTROL
* Less Control
restore, not
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b45, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
local a=1 
while `a' <= 11 {
{
generate x_betahat0 = MG_b14 
generate x_betahat1 = MG_b15 + MG_b39*(`a')
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
}
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
local a=`a'+ 0.1
display "." _c 
} 
display ""
postclose mypost
use sim.dta, clear
gen MV = _n
eclplot diff_hat diff_hi diff_lo MV, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xsca(noline) ytitle(" ", size(2.5)) xtitle(" ", size(2.5)) ///
xlabel(1 "left" 51 "centre" 101 "right", labsize(2.5)) ylabel(0 "0" 0.02 "0.02" 0.04 "0.04" , labsize(2.5)) title(Economic policy: Less budgetary control, size(2.5)) ///
yline(0, lcolor(black) lwidth(medthin)) saving(Ctrl2_lrfig2, replace)

******************  FIGURE 2: FISCAL UNION CONJOINT PANELS
clear all
restore, not
******** Marginal effect of attributes at different left right self positioning of respondents
use dataset2.dta, clear

**** Creation of the left-right variable (lr)
* do not position themselves
drop if Q021_01_W3_2015==12
* do not know
drop if Q021_01_W3_2015==13

rename Q021_01_W3_2015 lr

* Dependent variable FU1: choice of fiscal union
reg FU1 i.taxrate i.taxtype i.spend i.spendtype i.spendinst i.contrinst ///
i.taxrate##c.lr i.taxtype##c.lr i.spend##c.lr i.spendtype##c.lr i.spendinst##c.lr i.contrinst##c.lr, cl(ID)

estimates save m1.ster, replace
 
**********  SPENDING TYPE
* Additional
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b43, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
local a=1 
while `a' <= 11 {
{
generate x_betahat0 = MG_b12 
generate x_betahat1 = MG_b13 + MG_b35*(`a')
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
}
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
local a=`a'+ 0.1
display "." _c 
} 
display ""
postclose mypost
use sim.dta, clear
gen MV = _n
eclplot diff_hat diff_hi diff_lo MV, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xsca(noline) ytitle(" ", size(2.5)) xtitle(" ", size(2.5)) ///
xlabel(1 "left" 51 "centre" 101 "right", labsize(2.5)) ylabel(-0.04 "-0.04" -0.02 "-0.02" 0 "0" 0.02 "0.02", labsize(2.5)) title(Fiscal union: Additional expenditure, size(2.5)) ///
yline(0, lcolor(black) lwidth(medthin)) saving(Spendtype2_lrfig2, replace)

**********  SPENDING INSTITUTION
* National Government
restore, not
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b43, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
local a=1 
while `a' <= 11 {
{
generate x_betahat0 = MG_b14 
generate x_betahat1 = MG_b15 + MG_b38*(`a')
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
}
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
local a=`a'+ 0.1
display "." _c 
} 
display ""
postclose mypost
use sim.dta, clear
gen MV = _n
eclplot diff_hat diff_hi diff_lo MV, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xsca(noline) ytitle(" ", size(2.5)) xtitle(" ", size(2.5)) ///
xlabel(1 "left" 51 "centre" 101 "right", labsize(2.5)) ylabel(-0.04 "-0.04" -0.02 "-0.02" 0 "0" 0.02 "0.02", labsize(2.5)) title(Fiscal union (spending authority): Government, size(2.5)) ///
yline(0, lcolor(black) lwidth(medthin)) saving(Spendinst2_lrfig2, replace)

**********  AUDITING INSTITUTION
* EU Commission
restore, not
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b43, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
local a=1 
while `a' <= 11 {
{
generate x_betahat0 = MG_b16 
generate x_betahat1 = MG_b17 + MG_b41*(`a')
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
}
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
local a=`a'+ 0.1
display "." _c 
} 
display ""
postclose mypost
use sim.dta, clear
gen MV = _n
eclplot diff_hat diff_hi diff_lo MV, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xsca(noline) ytitle(" ", size(2.5)) xtitle(" ", size(2.5)) ///
xlabel(1 "left" 51 "centre" 101 "right", labsize(2.5)) ylabel( -0.04 "-0.04" -0.02 "-0.02" 0 "0" 0.02 "0.02", labsize(2.5)) title(Fiscal union: European Commission auditing, size(2.5)) ///
yline(0, lcolor(black) lwidth(medthin)) saving(Audinst2_lrfig2, replace)

* National Court of Auditors
restore, not
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b43, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
local a=1 
while `a' <= 11 {
{
generate x_betahat0 = MG_b16 
generate x_betahat1 = MG_b18 + MG_b42*(`a')
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
}
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
local a=`a'+ 0.1
display "." _c 
} 
display ""
postclose mypost
use sim.dta, clear
gen MV = _n
eclplot diff_hat diff_hi diff_lo MV, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xsca(noline) ytitle(" ", size(2.5)) xtitle(" ", size(2.5)) ///
xlabel(1 "left" 51 "centre" 101 "right", labsize(2.5)) ylabel(-0.06 "-0.06" -0.04 "-0.04" -0.02 "-0.02" 0 "0" 0.02 "0.02", labsize(2.5)) title(Fiscal union: Italian auditors court, size(2.5)) ///
yline(0, lcolor(black) lwidth(medthin)) saving(Audinst3_lrfig2, replace)

**********  Combine graphs

graph combine EUtax3_lrfig2.gph Ctrl2_lrfig2.gph Spendtype2_lrfig2.gph Spendinst2_lrfig2.gph Audinst2_lrfig2.gph Audinst3_lrfig2.gph, col(2) graphregion(fcolor(white)) imargin(0 0 0 0) saving(figure_2, replace) 

