version 14

******************  FIGURE 5 LEFT PANEL: COMPARING PROGRAMMES - UNEMPLOYED RESPONDENTS
use dataset2.dta, clear

*** Creation of the employment status variable (employed)
* gen employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (Q178 labels: 1, 3, 5-7, 9; Q180 label: 11 (wealthy))
gen employed=.
replace employed=1 if Q180<5 | Q180==10
replace employed=2 if Q180>4 & Q180<10
replace employed=3 if Q177==1 & (Q178==2 | Q178==4 | Q178==8 | (Q178>9 & Q178<14))
replace employed=4 if Q177==1 & (Q178==1 | Q178==3 | Q178==9 | (Q178>4 & Q178<8))
replace employed=4 if Q180==11 /* wealthy */

* check Q_69 and Q_70 for changes in workings conditions
* Q_69	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* Q_70	Se si', in quale delle seguenti condizioni lei si trova attualmente? employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if Q_69==1 & Q_70>1 & Q_70<6
replace employed=2 if Q_69==1 & Q_70>5 & Q_70<10
* if employed I do not know if profession, hence
replace employed=. if Q_69==1 & Q_70==1

* check D081 and D082 for changes in workings conditions
* D081	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* D082	Se si', in quale delle seguenti condizioni lei si trova attualmente?  employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if D081==1 & D082>1 & D082<6
replace employed=2 if D081==1 & D082>5 & D082<10
* if employed I do not know if profession, hence
replace employed=. if D081==1 & D082==1

* Economic policy conjoint analysis
* change accordingly to employed: 1 = inactive 2 = unemployed, 3 = lower income, 4 = higher income
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if employed==2 , cl(ID)

* Saving the estimates
estimates store m1
estimates save m1.ster, replace

************** Profile comparison: 7% unemployment rate, ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc1
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, no expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison une2, euro2
* 7% unemployment rate, ditch euro as the national currency
scalar une2=1
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim.dta, clear
save sim2.dta, replace
restore, not

************** Profile comparison: 3% unemployment rate, ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc1
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, no expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison une3, euro2
* 3% unemployment rate, ditch euro as the national currency
scalar une2=0
scalar une3=1
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

************** Profile comparison: 1% unemployment rate, ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc1
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, no expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison une4, euro2
* 1% unemployment rate, ditch euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=1
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

************** Profile comparison: additional expansion of EU fiscal capacity vs. ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc2
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, additional expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=1
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison eusoc1, euro2
* no expansion of EU fiscal capacity, ditch euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

************** Profile comparison: alternate expansion of EU fiscal capacity vs. ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc3
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, alternate expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=1
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison eusoc1, euro2
* no expansion of EU fiscal capacity, ditch euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

gen MV = _n

eclplot diff_hat diff_hi diff_lo MV, hor estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) ytitle ("") ///
title("Unemployed", size(2.5)) xtitle(" ", size(2.5)) ylabel(1 " " 2 " " 3 " " 4 " ", noticks labsize(2.5)) ///
xlabel(.05 "0.05" .03 "0.03" .01 "0.01" 0 "0" -.01 "-0.01" -.03 "-0.03" -.05 "-0.05" -.075 " ", noticks labsize(2.5)) xline(0, lcolor(black) lwidth(medthin)) ///
text(1 -.075 "Unemployment" "7%", place(c) just(center) size(2.5)) text(2 -.075 "Unemployment" "3%", place(c) just(center) size(2.5)) ///
text(3 -.075 "Unemployment" "1%", place(c) just(center) size(2.5)) text(4 -.075 "Additional EU" "tax-spend", place(c) just(center) size(2.5)) ///
text(5 -.075 "Alternate EU" "tax-spend", place(c) just(center) size(2.5)) saving(unemployed_fig5.gph, replace)


******************  FIGURE 5 MIDDLE PANEL: COMPARING PROGRAMMES - LOW INCOME RESPONDENTS
use dataset2.dta, clear

*** Creation of the employment status variable (employed)
* gen employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (Q178 labels: 1, 3, 5-7, 9; Q180 label: 11 (wealthy))
gen employed=.
replace employed=1 if Q180<5 | Q180==10
replace employed=2 if Q180>4 & Q180<10
replace employed=3 if Q177==1 & (Q178==2 | Q178==4 | Q178==8 | (Q178>9 & Q178<14))
replace employed=4 if Q177==1 & (Q178==1 | Q178==3 | Q178==9 | (Q178>4 & Q178<8))
replace employed=4 if Q180==11 /* wealthy */

* check Q_69 and Q_70 for changes in workings conditions
* Q_69	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* Q_70	Se si', in quale delle seguenti condizioni lei si trova attualmente? employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if Q_69==1 & Q_70>1 & Q_70<6
replace employed=2 if Q_69==1 & Q_70>5 & Q_70<10
* if employed I do not know if profession, hence
replace employed=. if Q_69==1 & Q_70==1

* check D081 and D082 for changes in workings conditions
* D081	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* D082	Se si', in quale delle seguenti condizioni lei si trova attualmente?  employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if D081==1 & D082>1 & D082<6
replace employed=2 if D081==1 & D082>5 & D082<10
* if employed I do not know if profession, hence
replace employed=. if D081==1 & D082==1

* Economic policy conjoint analysis
* change accordingly to employed: 1 = inactive 2 = unemployed, 3 = lower income, 4 = higher income
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if employed==3 , cl(ID)

* Saving the estimates
estimates store m1
estimates save m1.ster, replace

************** Profile comparison: 7% unemployment rate, ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc1
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, no expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison une2, euro2
* 7% unemployment rate, ditch euro as the national currency
scalar une2=1
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim.dta, clear
save sim2.dta, replace
restore, not

************** Profile comparison: 3% unemployment rate, ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc1
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, no expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison une3, euro2
* 3% unemployment rate, ditch euro as the national currency
scalar une2=0
scalar une3=1
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

************** Profile comparison: 1% unemployment rate, ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc1
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, no expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison une4, euro2
* 1% unemployment rate, ditch euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=1
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

************** Profile comparison: additional expansion of EU fiscal capacity vs. ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc2
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, additional expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=1
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison eusoc1, euro2
* no expansion of EU fiscal capacity, ditch euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

************** Profile comparison: alternate expansion of EU fiscal capacity vs. ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc3
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, alternate expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=1
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison eusoc1, euro2
* no expansion of EU fiscal capacity, ditch euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

gen MV = _n

eclplot diff_hat diff_hi diff_lo MV, hor estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) ytitle ("") ///
title("Low income", size(2.5)) xtitle("Pr(Ditch Euro Program) - Pr(Keep Euro Program)", size(2.5)) ylabel(1 " " 2 " " 3 " " 4 " ", noticks labsize(2.5)) ///
xlabel(.05 "0.05" .03 "0.03" .01 "0.01" 0 "0" -.01 "-0.01" -.03 "-0.03" -.05 "-0.05", noticks labsize(2.5)) xline(0, lcolor(black) lwidth(medthin)) ///
saving(lowincome_fig5.gph, replace)

******************  FIGURE 5 RIGHT PANEL: COMPARING PROGRAMMES - HIGH INCOME RESPONDENTS
use dataset2.dta, clear

*** Creation of the employment status variable (employed)
* gen employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (Q178 labels: 1, 3, 5-7, 9; Q180 label: 11 (wealthy))
gen employed=.
replace employed=1 if Q180<5 | Q180==10
replace employed=2 if Q180>4 & Q180<10
replace employed=3 if Q177==1 & (Q178==2 | Q178==4 | Q178==8 | (Q178>9 & Q178<14))
replace employed=4 if Q177==1 & (Q178==1 | Q178==3 | Q178==9 | (Q178>4 & Q178<8))
replace employed=4 if Q180==11 /* wealthy */

* check Q_69 and Q_70 for changes in workings conditions
* Q_69	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* Q_70	Se si', in quale delle seguenti condizioni lei si trova attualmente? employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if Q_69==1 & Q_70>1 & Q_70<6
replace employed=2 if Q_69==1 & Q_70>5 & Q_70<10
* if employed I do not know if profession, hence
replace employed=. if Q_69==1 & Q_70==1

* check D081 and D082 for changes in workings conditions
* D081	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* D082	Se si', in quale delle seguenti condizioni lei si trova attualmente?  employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if D081==1 & D082>1 & D082<6
replace employed=2 if D081==1 & D082>5 & D082<10
* if employed I do not know if profession, hence
replace employed=. if D081==1 & D082==1

* Economic policy conjoint analysis
* change accordingly to employed: 1 = inactive 2 = unemployed, 3 = lower income, 4 = higher income
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if employed==4 , cl(ID)

* Saving the estimates
estimates store m1
estimates save m1.ster, replace

************** Profile comparison: 7% unemployment rate, ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc1
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, no expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison une2, euro2
* 7% unemployment rate, ditch euro as the national currency
scalar une2=1
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim.dta, clear
save sim2.dta, replace
restore, not

************** Profile comparison: 3% unemployment rate, ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc1
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, no expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison une3, euro2
* 3% unemployment rate, ditch euro as the national currency
scalar une2=0
scalar une3=1
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

************** Profile comparison: 1% unemployment rate, ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc1
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, no expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison une4, euro2
* 1% unemployment rate, ditch euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=1
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

************** Profile comparison: additional expansion of EU fiscal capacity vs. ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc2
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, additional expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=1
scalar eusoc3=0
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison eusoc1, euro2
* no expansion of EU fiscal capacity, ditch euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

************** Profile comparison: alternate expansion of EU fiscal capacity vs. ditch euro as the national currency
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b20, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
sleep 2000    /* 2s sleep - slow computers read sim.dta as read-only */
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
* Survey conditions programme: une1, inf1, taxs1, euro1, ctrl1, eusoc3
* 13% unemployment rate, 0.5% inflation rate, no changes to taxation and spending and to budgetary oversight, euro as the national currency, alternate expansion of EU fiscal capacity). 
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=0
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=1
generate x_betahat0 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
* Comparison eusoc1, euro2
* no expansion of EU fiscal capacity, ditch euro as the national currency
scalar une2=0
scalar une3=0
scalar une4=0
scalar inf2=0
scalar inf3=0
scalar inf4=0
scalar taxs2=0
scalar taxs3=0
scalar euro2=1
scalar ctrl2=0
scalar ctrl3=0
scalar eusoc2=0
scalar eusoc3=0
generate x_betahat1 = MG_b2*une2 + MG_b3*une3 + MG_b4*une4 + MG_b6*inf2 + MG_b7*inf3 + MG_b8*inf4 + MG_b10*taxs2 + MG_b11*taxs3 + MG_b13*euro2 ///
+ MG_b15*ctrl2 + MG_b16*ctrl3 + MG_b18*eusoc2 + MG_b19*eusoc3 
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
display ""
postclose mypost
use sim2.dta, clear
append using sim.dta
save sim2.dta, replace
restore, not

gen MV = _n

eclplot diff_hat diff_hi diff_lo MV, hor estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) ytitle ("") ///
title("High income", size(2.5)) xtitle(" ", size(2.5)) ylabel(1 " " 2 " " 3 " " 4 " ", noticks labsize(2.5)) ///
xlabel(.05 "0.05" .03 "0.03" .01 "0.01" 0 "0" -.01 "-0.01" -.03 "-0.03" -.05 "-0.05", noticks labsize(2.5)) xline(0, lcolor(black) lwidth(medthin)) ///
saving(highincome_fig5.gph, replace)

graph combine unemployed_fig5.gph lowincome_fig5.gph highincome_fig5.gph, col(3) graphregion(fcolor(white)) imargin(0 0 0 0) saving(figure_5, replace) 

