version 14

* FIGURE S10 Effects of Program and Scheme Attributes on Probability of Being Selected by Assessment of EU Membership
use dataset2.dta, clear

* create variable EUbad
* P168	Secondo Lei il fatto che l'Italia appartenga all'Unione Europea e' un bene o un male?
* Q_20	Secondo lei il fatto che l'Italia appartenga all'Unione Europea e' un bene, un male, o n un bene n un male?
* D022	Secondo lei il fatto che l'Italia appartenga all'Unione Europea e' un bene, un male, o n un bene n un male?
misstable sum P168
misstable sum Q_20
misstable sum D022

* D022 more recent and less missings
table D022
replace D022=. if D022==4
rename D022 EUbad
* recoding, switching neither and good
recode EUbad (1 = 3) (3 = 1)
* 1 = neither, 2 = bad, 3 = good
label define EUbad 1 "neither" 2 "EU bad" 3 "EU good"
label values EUbad EUbad

reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc i.EUbad ///
i.unemployment##i.EUbad i.inflation##i.EUbad i.taxsoc##i.EUbad i.euro##i.EUbad i.eucontrol##i.EUbad i.eutaxsoc##i.EUbad, cl(ID)

matrix b=e(b)
matrix list b
scalar b2=b[1,2]
scalar b3=b[1,3]
scalar b4=b[1,4]
scalar b6=b[1,6]
scalar b7=b[1,7]
scalar b8=b[1,8]
scalar b10=b[1,10]
scalar b11=b[1,11]
scalar b13=b[1,13]
scalar b15=b[1,15]
scalar b16=b[1,16]
scalar b18=b[1,18]
scalar b19=b[1,19]
scalar b27=b[1,27]
scalar b28=b[1,28]
scalar b30=b[1,30]
scalar b31=b[1,31]
scalar b33=b[1,33]
scalar b34=b[1,34]
scalar b39=b[1,39]
scalar b40=b[1,40]
scalar b42=b[1,42]
scalar b43=b[1,43]
scalar b45=b[1,45]
scalar b46=b[1,46]
scalar b51=b[1,51]
scalar b52=b[1,52]
scalar b54=b[1,54]
scalar b55=b[1,55]
scalar b60=b[1,60]
scalar b61=b[1,61]
scalar b66=b[1,66]
scalar b67=b[1,67]
scalar b69=b[1,69]
scalar b70=b[1,70]
scalar b75=b[1,75]
scalar b76=b[1,76]
scalar b78=b[1,78]
scalar b79=b[1,79]

matrix V=e(V)
matrix list V
scalar varb2=V[2,2]
scalar varb3=V[3,3]
scalar varb4=V[4,4]
scalar varb6=V[6,6]
scalar varb7=V[7,7]
scalar varb8=V[8,8]
scalar varb10=V[10,10]
scalar varb11=V[11,11]
scalar varb13=V[13,13]
scalar varb15=V[15,15]
scalar varb16=V[16,16]
scalar varb18=V[18,18]
scalar varb19=V[19,19]
scalar varb27=V[27,27]
scalar varb28=V[28,28]
scalar varb30=V[30,30]
scalar varb31=V[31,31]
scalar varb33=V[33,33]
scalar varb34=V[34,34]
scalar varb39=V[39,39]
scalar varb40=V[40,40]
scalar varb42=V[42,42]
scalar varb43=V[43,43]
scalar varb45=V[45,45]
scalar varb46=V[46,46]
scalar varb51=V[51,51]
scalar varb52=V[52,52]
scalar varb54=V[54,54]
scalar varb55=V[55,55]
scalar varb60=V[60,60]
scalar varb61=V[61,61]
scalar varb66=V[66,66]
scalar varb67=V[67,67]
scalar varb69=V[69,69]
scalar varb70=V[70,70]
scalar varb75=V[75,75]
scalar varb76=V[76,76]
scalar varb78=V[78,78]
scalar varb79=V[79,79]

scalar covb2b27=V[2,27]
scalar covb2b28=V[2,28]
scalar covb3b30=V[3,30]
scalar covb3b31=V[3,31]
scalar covb4b33=V[4,33]
scalar covb4b34=V[4,34]
scalar covb6b39=V[6,39]
scalar covb6b40=V[6,40]
scalar covb7b42=V[7,42]
scalar covb7b43=V[7,43]
scalar covb8b45=V[8,45]
scalar covb8b46=V[8,46]
scalar covb10b51=V[10,51]
scalar covb10b52=V[10,52]
scalar covb11b54=V[11,54]
scalar covb11b55=V[11,55]
scalar covb13b60=V[13,60]
scalar covb13b61=V[13,61]
scalar covb15b66=V[15,66]
scalar covb15b67=V[15,67]
scalar covb16b69=V[16,69]
scalar covb16b70=V[16,70]
scalar covb18b75=V[18,75]
scalar covb18b76=V[18,76]
scalar covb19b78=V[19,78]
scalar covb19b79=V[19,79]

parmest, label norestore
gen MVZ=_n
replace MVZ=. if _n>39

********   xxxnyyyn : impact of xxxn at yyyn
* une2EUbad1 in 1
gen beta=b2 in 1
gen ci_l = beta - 1.96*sqrt(varb2) in 1
gen ci_h = beta + 1.96*sqrt(varb2) in 1
* une2EUbad2 in 2
replace beta=b2 + b27 in 2
replace ci_l = beta - 1.96*sqrt(varb2 + varb27 + 2*covb2b27) in 2
replace ci_h = beta + 1.96*sqrt(varb2 + varb27 + 2*covb2b27) in 2
* une2EUbad3 in 3
replace beta=b2 + b28 in 3
replace ci_l = beta - 1.96*sqrt(varb2 + varb28 + 2*covb2b28) in 3
replace ci_h = beta + 1.96*sqrt(varb2 + varb28 + 2*covb2b28) in 3
* une3EUbad1 in 4
replace beta=b3 in 4 
replace ci_l = beta - 1.96*sqrt(varb3) in 4
replace ci_h = beta + 1.96*sqrt(varb3) in 4
* une3EUbad2 in 5
replace beta=b3 + b30 in 5
replace ci_l = beta - 1.96*sqrt(varb3 + varb30 + 2*covb3b30) in 5
replace ci_h = beta + 1.96*sqrt(varb3 + varb30 + 2*covb3b30) in 5
* une3EUbad3 in 6
replace beta=b3 + b31 in 6
replace ci_l = beta - 1.96*sqrt(varb3 + varb31 + 2*covb3b31) in 6
replace ci_h = beta + 1.96*sqrt(varb3 + varb31 + 2*covb3b31) in 6
* une4EUbad1 in 7
replace beta=b4 in 7
replace ci_l = beta - 1.96*sqrt(varb4) in 7
replace ci_h = beta + 1.96*sqrt(varb4) in 7
* une4EUbad2 in 8
replace beta=b4 + b33 in 8
replace ci_l = beta - 1.96*sqrt(varb4 + varb33 + 2*covb4b33) in 8
replace ci_h = beta + 1.96*sqrt(varb4 + varb33 + 2*covb4b33) in 8
* une4EUbad3 in 9
replace beta=b4 + b34 in 9
replace ci_l = beta - 1.96*sqrt(varb4 + varb34 + 2*covb4b34) in 9
replace ci_h = beta + 1.96*sqrt(varb4 + varb34 + 2*covb4b34) in 9
* inf2EUbad1 in 10
replace beta=b6 in 10
replace ci_l = beta - 1.96*sqrt(varb6) in 10
replace ci_h = beta + 1.96*sqrt(varb6) in 10
* inf2EUbad2 in 11
replace beta=b6 + b39 in 11
replace ci_l = beta - 1.96*sqrt(varb6 + varb39 + 2*covb6b39) in 11
replace ci_h = beta + 1.96*sqrt(varb6 + varb39 + 2*covb6b39) in 11
* inf2EUbad3 in 12
replace beta=b6 + b40 in 12
replace ci_l = beta - 1.96*sqrt(varb6 + varb40 + 2*covb6b40) in 12
replace ci_h = beta + 1.96*sqrt(varb6 + varb40 + 2*covb6b40) in 12
* inf3EUbad1 in 13
replace beta=b7 in 13
replace ci_l = beta - 1.96*sqrt(varb7) in 13
replace ci_h = beta + 1.96*sqrt(varb7) in 13
* inf3EUbad2 in 14
replace beta=b7 + b42 in 14
replace ci_l = beta - 1.96*sqrt(varb7 + varb42 + 2*covb7b42) in 14
replace ci_h = beta + 1.96*sqrt(varb7 + varb42 + 2*covb7b42) in 14
* inf3EUbad3 in 15
replace beta=b7 + b43 in 15
replace ci_l = beta - 1.96*sqrt(varb7 + varb43 + 2*covb7b43) in 15
replace ci_h = beta + 1.96*sqrt(varb7 + varb43 + 2*covb7b43) in 15
* inf4EUbad1 in 16
replace beta=b8 in 16
replace ci_l = beta - 1.96*sqrt(varb8) in 16
replace ci_h = beta + 1.96*sqrt(varb8) in 16
* inf4EUbad2 in 17
replace beta=b8 + b45 in 17
replace ci_l = beta - 1.96*sqrt(varb8 + varb45 + 2*covb8b45) in 17
replace ci_h = beta + 1.96*sqrt(varb8 + varb45 + 2*covb8b45) in 17
* inf4EUbad3 in 18
replace beta=b8 + b46 in 18
replace ci_l = beta - 1.96*sqrt(varb8 + varb46 + 2*covb8b46) in 18
replace ci_h = beta + 1.96*sqrt(varb8 + varb46 + 2*covb8b46) in 18
* tax2EUbad1 in 19
replace beta=b10 in 19
replace ci_l = beta - 1.96*sqrt(varb10) in 19
replace ci_h = beta + 1.96*sqrt(varb10) in 19
* tax2EUbad2 in 20
replace beta=b10 + b51 in 20
replace ci_l = beta - 1.96*sqrt(varb10 + varb51 + 2*covb10b51) in 20
replace ci_h = beta + 1.96*sqrt(varb10 + varb51 + 2*covb10b51) in 20
* tax2EUbad3 in 21
replace beta=b10 + b52 in 21
replace ci_l = beta - 1.96*sqrt(varb10 + varb52 + 2*covb10b52) in 21
replace ci_h = beta + 1.96*sqrt(varb10 + varb52 + 2*covb10b52) in 21
* tax3EUbad1 in 22
replace beta=b11 in 22
replace ci_l = beta - 1.96*sqrt(varb11) in 22
replace ci_h = beta + 1.96*sqrt(varb11) in 22
* tax3EUbad2 in 23
replace beta=b11 + b54 in 23
replace ci_l = beta - 1.96*sqrt(varb11 + varb54 + 2*covb11b54) in 23
replace ci_h = beta + 1.96*sqrt(varb11 + varb54 + 2*covb11b54) in 23
* tax3EUbad3 in 24
replace beta=b11 + b55 in 24
replace ci_l = beta - 1.96*sqrt(varb11 + varb55 + 2*covb11b55) in 24
replace ci_h = beta + 1.96*sqrt(varb11 + varb55 + 2*covb11b55) in 24
* euro2EUbad1 in 25
replace beta=b13 in 25
replace ci_l = beta - 1.96*sqrt(varb13) in 25
replace ci_h = beta + 1.96*sqrt(varb13) in 25
* euro2EUbad2 in 26
replace beta=b13 + b60 in 26
replace ci_l = beta - 1.96*sqrt(varb13 + varb60 + 2*covb13b60) in 26
replace ci_h = beta + 1.96*sqrt(varb13 + varb60 + 2*covb13b60) in 26
* euro2EUbad3 in 27
replace beta=b13 + b61 in 27
replace ci_l = beta - 1.96*sqrt(varb13 + varb61 + 2*covb13b61) in 27
replace ci_h = beta + 1.96*sqrt(varb13 + varb61 + 2*covb13b61) in 27
* ctrl2EUbad1 in 28
replace beta=b15 in 28
replace ci_l = beta - 1.96*sqrt(varb15) in 28
replace ci_h = beta + 1.96*sqrt(varb15) in 28
* ctrl2EUbad2 in 29
replace beta=b15 + b66 in 29
replace ci_l = beta - 1.96*sqrt(varb15 + varb66 + 2*covb15b66) in 29
replace ci_h = beta + 1.96*sqrt(varb15 + varb66 + 2*covb15b66) in 29
* ctrl2EUbad3 in 30
replace beta=b15 + b67 in 30
replace ci_l = beta - 1.96*sqrt(varb15 + varb67 + 2*covb15b67) in 30
replace ci_h = beta + 1.96*sqrt(varb15 + varb67 + 2*covb15b67) in 30
* ctrl3EUbad1 in 31
replace beta=b16 in 31
replace ci_l = beta - 1.96*sqrt(varb16) in 31
replace ci_h = beta + 1.96*sqrt(varb16) in 31
* ctrl3EUbad2 in 32
replace beta=b16 + b69 in 32
replace ci_l = beta - 1.96*sqrt(varb16 + varb69 + 2*covb16b69) in 32
replace ci_h = beta + 1.96*sqrt(varb16 + varb69 + 2*covb16b69) in 32
* ctrl3EUbad3 in 33
replace beta=b16 + b70 in 33
replace ci_l = beta - 1.96*sqrt(varb16 + varb70 + 2*covb16b70) in 33
replace ci_h = beta + 1.96*sqrt(varb16 + varb70 + 2*covb16b70) in 33
* eutax2EUbad1 in 34
replace beta=b18 in 34
replace ci_l = beta - 1.96*sqrt(varb18) in 34
replace ci_h = beta + 1.96*sqrt(varb18) in 34
* eutax2EUbad2 in 35
replace beta=b18 + b75 in 35
replace ci_l = beta - 1.96*sqrt(varb18 + varb75 + 2*covb18b75) in 35
replace ci_h = beta + 1.96*sqrt(varb18 + varb75 + 2*covb18b75) in 35
* eutax2EUbad3 in 36
replace beta=b18 + b76 in 36
replace ci_l = beta - 1.96*sqrt(varb18 + varb76 + 2*covb18b76) in 36
replace ci_h = beta + 1.96*sqrt(varb18 + varb76 + 2*covb18b76) in 36
* eutax3EUbad1 in 37
replace beta=b19 in 37
replace ci_l = beta - 1.96*sqrt(varb19) in 37
replace ci_h = beta + 1.96*sqrt(varb19) in 37
* eutax3EUbad2 in 38
replace beta=b19 + b78 in 38
replace ci_l = beta - 1.96*sqrt(varb19 + varb78 + 2*covb19b78) in 38
replace ci_h = beta + 1.96*sqrt(varb19 + varb78 + 2*covb19b78) in 38
* eutax3EUbad3 in 39
replace beta=b19 + b79 in 39
replace ci_l = beta - 1.96*sqrt(varb19 + varb79 + 2*covb19b79) in 39
replace ci_h = beta + 1.96*sqrt(varb19 + varb79 + 2*covb19b79) in 39

eclplot beta ci_l ci_h MVZ in 1/39, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.3 "-0.3" -.2 "-0.2" -.1 "-0.1" 0 "0" .1 "0.1" .2 "0.2", noticks labsize(2)) xtitle("Effect on Pr(Program Being Chosen)", size(2)) ytitle("") ///
ylabel( 1 "Unemployment 7%: neither" 2 ": bad" 3 ": good" 4 "Unemployment 3%: neither" 5 ": bad" 6 ": good" 7 "Unemployment 1%: neither" 8 ": bad" 9 ": good" ///
10 "Inflation 2%: neither" 11 ": bad" 12 ": good" 13 "Inflation 5%: neither" 14 ": bad" 15 ": good" 16 "Inflation 8%: neither" 17 ": bad" 18 ": good" ///
19 "Less tax-spend: neither" 20 ": bad" 21 ": good" 22 "More tax-spend: neither" 23 ": bad" 24 ": good" ///
25 "Ditch euro: neither" 26 ": bad" 27 ": good" 28 "Less control: neither" 29 ": bad" 30 ": good" ///
31 "More control: neither" 32 ": bad" 33 ": good" 34 "Add. EU tax-spend: neither" 35 ": bad" 36 ": good" ///
37 "Alt. EU tax-spend: neither" 38 ": bad" 39 ": good" , noticks labsize(2)) saving(figure_S10left, replace)


**** right panel
use dataset2.dta, clear

* create variable EUbad
* P168	Secondo Lei il fatto che l'Italia appartenga all'Unione Europea e' un bene o un male?
* Q_20	Secondo lei il fatto che l'Italia appartenga all'Unione Europea e' un bene, un male, o n un bene n un male?
* D022	Secondo lei il fatto che l'Italia appartenga all'Unione Europea e' un bene, un male, o n un bene n un male?
* Q018_W3_2015 Secondo Lei il fatto che l'Italia appartenga all'Unione Europea e' un bene o un male?
misstable sum P168
misstable sum Q_20
misstable sum D022
misstable sum Q018_W3_2015

* Q018_W3_2015 more recent and less missings
table Q018_W3_2015
replace Q018_W3_2015=. if Q018_W3_2015==4
rename Q018_W3_2015 EUbad
* recoding, switching neither and good
recode EUbad (1 = 3) (3 = 1)
* 1 = neither, 2 = bad, 3 = good
label define EUbad 1 "neither" 2 "EU bad" 3 "EU good"
label values EUbad EUbad

reg FU1 i.taxrate##i.EUbad i.taxtype##i.EUbad i.spend##i.EUbad i.spendtype##i.EUbad i.spendinst##i.EUbad i.contrinst##i.EUbad, cl(ID)
matrix b=e(b)
matrix list b

scalar b2=b[1,2]
scalar b3=b[1,3]
scalar b4=b[1,4]
scalar b6=b[1,6]
scalar b7=b[1,7]
scalar b12=b[1,12]
scalar b13=b[1,13]
scalar b15=b[1,15]
scalar b16=b[1,16]
scalar b18=b[1,18]
scalar b19=b[1,19]
scalar b21=b[1,21]
scalar b26=b[1,26]
scalar b27=b[1,27]
scalar b29=b[1,29]
scalar b30=b[1,30]
scalar b31=b[1,31]
scalar b32=b[1,32]
scalar b37=b[1,37]
scalar b38=b[1,38]
scalar b40=b[1,40]
scalar b41=b[1,41]
scalar b43=b[1,43]
scalar b44=b[1,44]
scalar b46=b[1,46]
scalar b47=b[1,47]
scalar b49=b[1,49]
scalar b54=b[1,54]
scalar b55=b[1,55]
scalar b57=b[1,57]
scalar b62=b[1,62]
scalar b63=b[1,63]
scalar b65=b[1,65]
scalar b66=b[1,66]
scalar b71=b[1,71]
scalar b72=b[1,72]
scalar b74=b[1,74]
scalar b75=b[1,75]

matrix V=e(V)
matrix list V
scalar varb2=V[2,2]
scalar varb3=V[3,3]
scalar varb4=V[4,4]
scalar varb6=V[6,6]
scalar varb7=V[7,7]
scalar varb12=V[12,12]
scalar varb13=V[13,13]
scalar varb15=V[15,15]
scalar varb16=V[16,16]
scalar varb18=V[18,18]
scalar varb19=V[19,19]
scalar varb21=V[21,21]
scalar varb26=V[26,26]
scalar varb27=V[27,27]
scalar varb29=V[29,29]
scalar varb30=V[30,30]
scalar varb31=V[31,31]
scalar varb32=V[32,32]
scalar varb37=V[37,37]
scalar varb38=V[38,38]
scalar varb40=V[40,40]
scalar varb41=V[41,41]
scalar varb43=V[43,43]
scalar varb44=V[44,44]
scalar varb46=V[46,46]
scalar varb47=V[47,47]
scalar varb49=V[49,49]
scalar varb54=V[54,54]
scalar varb55=V[55,55]
scalar varb57=V[57,57]
scalar varb62=V[62,62]
scalar varb63=V[63,63]
scalar varb65=V[65,65]
scalar varb66=V[66,66]
scalar varb71=V[71,71]
scalar varb72=V[72,72]
scalar varb74=V[74,74]
scalar varb75=V[75,75]

scalar covb2b12=V[2,12]
scalar covb2b13=V[2,13]
scalar covb3b15=V[3,15]
scalar covb3b16=V[3,16]
scalar covb4b18=V[4,18]
scalar covb4b19=V[4,19]
scalar covb21b26=V[21,26]
scalar covb21b27=V[21,27]
scalar covb29b37=V[29,37]
scalar covb29b38=V[29,38]
scalar covb30b40=V[30,40]
scalar covb30b41=V[30,41]
scalar covb31b43=V[31,43]
scalar covb31b44=V[31,44]
scalar covb32b46=V[32,46]
scalar covb32b47=V[32,47]
scalar covb49b54=V[49,54]
scalar covb49b55=V[49,55]
scalar covb57b62=V[57,62]
scalar covb57b63=V[57,63]
scalar covb65b71=V[65,71]
scalar covb65b72=V[65,72]
scalar covb66b74=V[66,74]
scalar covb66b75=V[66,75]

parmest, label norestore
gen MVZ=_n
replace MVZ=. if _n>36

********   xxxnyyyn : impact of xxxn at yyyn
* tax2EUbad1 in 1
gen beta=b2 in 1
gen ci_l = beta - 1.96*sqrt(varb2) in 1
gen ci_h = beta + 1.96*sqrt(varb2) in 1
* tax2EUbad2 in 2
replace beta=b2 + b12 in 2
replace ci_l = beta - 1.96*sqrt(varb2 + varb12 + 2*covb2b12) in 2
replace ci_h = beta + 1.96*sqrt(varb2 + varb12 + 2*covb2b12) in 2
* tax2EUbad3 in 3
replace beta=b2 + b13 in 3
replace ci_l = beta - 1.96*sqrt(varb2 + varb13 + 2*covb2b13) in 3
replace ci_h = beta + 1.96*sqrt(varb2 + varb13 + 2*covb2b13) in 3
* tax3EUbad1 in 4
replace beta=b3 in 4 
replace ci_l = beta - 1.96*sqrt(varb3) in 4
replace ci_h = beta + 1.96*sqrt(varb3) in 4
* tax3EUbad2 in 5
replace beta=b3 + b15 in 5
replace ci_l = beta - 1.96*sqrt(varb3 + varb15 + 2*covb3b15) in 5
replace ci_h = beta + 1.96*sqrt(varb3 + varb15 + 2*covb3b15) in 5
* tax3EUbad3 in 6
replace beta=b3 + b16 in 6
replace ci_l = beta - 1.96*sqrt(varb3 + varb16 + 2*covb3b16) in 6
replace ci_h = beta + 1.96*sqrt(varb3 + varb16 + 2*covb3b16) in 6
* tax4EUbad1 in 7
replace beta=b4 in 7
replace ci_l = beta - 1.96*sqrt(varb4) in 7
replace ci_h = beta + 1.96*sqrt(varb4) in 7
* tax4EUbad2 in 8
replace beta=b4 + b18 in 8
replace ci_l = beta - 1.96*sqrt(varb4 + varb18 + 2*covb4b18) in 8
replace ci_h = beta + 1.96*sqrt(varb4 + varb18 + 2*covb4b18) in 8
* tax4EUbad3 in 9
replace beta=b4 + b19 in 9
replace ci_l = beta - 1.96*sqrt(varb4 + varb19 + 2*covb4b19) in 9
replace ci_h = beta + 1.96*sqrt(varb4 + varb19 + 2*covb4b19) in 9
* taxtype2EUbad1 in 10
replace beta=b21 in 10
replace ci_l = beta - 1.96*sqrt(varb21) in 10
replace ci_h = beta + 1.96*sqrt(varb21) in 10
* taxtype2EUbad2 in 11
replace beta=b21 + b26 in 11
replace ci_l = beta - 1.96*sqrt(varb21 + varb26 + 2*covb21b26) in 11
replace ci_h = beta + 1.96*sqrt(varb21 + varb26 + 2*covb21b26) in 11
* taxtype2EUbad3 in 12
replace beta=b21 + b27 in 12
replace ci_l = beta - 1.96*sqrt(varb21 + varb27 + 2*covb21b27) in 12
replace ci_h = beta + 1.96*sqrt(varb21 + varb27 + 2*covb21b27) in 12
* spend2EUbad1 in 13
replace beta=b29 in 13
replace ci_l = beta - 1.96*sqrt(varb29) in 13
replace ci_h = beta + 1.96*sqrt(varb29) in 13
* spend2EUbad2 in 14
replace beta=b29 + b37 in 14
replace ci_l = beta - 1.96*sqrt(varb29 + varb37 + 2*covb29b37) in 14
replace ci_h = beta + 1.96*sqrt(varb29 + varb37 + 2*covb29b37) in 14
* spend2EUbad3 in 15
replace beta=b29 + b38 in 15
replace ci_l = beta - 1.96*sqrt(varb29 + varb38 + 2*covb29b38) in 15
replace ci_h = beta + 1.96*sqrt(varb29 + varb38 + 2*covb29b38) in 15
* spend3EUbad1 in 16
replace beta=b30 in 16
replace ci_l = beta - 1.96*sqrt(varb30) in 16
replace ci_h = beta + 1.96*sqrt(varb30) in 16
* spend3EUbad2 in 17
replace beta=b30 + b40 in 17
replace ci_l = beta - 1.96*sqrt(varb30 + varb40 + 2*covb30b40) in 17
replace ci_h = beta + 1.96*sqrt(varb30 + varb40 + 2*covb30b40) in 17
* spend3EUbad3 in 18
replace beta=b30 + b41 in 18
replace ci_l = beta - 1.96*sqrt(varb30 + varb41 + 2*covb30b41) in 18
replace ci_h = beta + 1.96*sqrt(varb30 + varb41 + 2*covb30b41) in 18
* spend4EUbad1 in 19
replace beta=b31 in 19
replace ci_l = beta - 1.96*sqrt(varb31) in 19
replace ci_h = beta + 1.96*sqrt(varb31) in 19
* spend4EUbad2 in 20
replace beta=b31 + b43 in 20
replace ci_l = beta - 1.96*sqrt(varb31 + varb43 + 2*covb31b43) in 20
replace ci_h = beta + 1.96*sqrt(varb31 + varb43 + 2*covb31b43) in 20
* spend4EUbad3 in 21
replace beta=b31 + b44 in 21
replace ci_l = beta - 1.96*sqrt(varb31 + varb44 + 2*covb31b44) in 21
replace ci_h = beta + 1.96*sqrt(varb31 + varb44 + 2*covb31b44) in 21
* spend5EUbad1 in 22
replace beta=b32 in 22
replace ci_l = beta - 1.96*sqrt(varb32) in 22
replace ci_h = beta + 1.96*sqrt(varb32) in 22
* spend5EUbad2 in 23
replace beta=b32 + b46 in 23
replace ci_l = beta - 1.96*sqrt(varb32 + varb46 + 2*covb32b46) in 23
replace ci_h = beta + 1.96*sqrt(varb32 + varb46 + 2*covb32b46) in 23
* spend5EUbad3 in 24
replace beta=b32 + b47 in 24
replace ci_l = beta - 1.96*sqrt(varb32 + varb47 + 2*covb32b47) in 24
replace ci_h = beta + 1.96*sqrt(varb32 + varb47 + 2*covb32b47) in 24
* spendtype2EUbad1 in 25
replace beta=b49 in 25
replace ci_l = beta - 1.96*sqrt(varb49) in 25
replace ci_h = beta + 1.96*sqrt(varb49) in 25
* spendtype2EUbad2 in 26
replace beta=b49 + b54 in 26
replace ci_l = beta - 1.96*sqrt(varb49 + varb54 + 2*covb49b54) in 26
replace ci_h = beta + 1.96*sqrt(varb49 + varb54 + 2*covb49b54) in 26
* spendtype2EUbad3 in 27
replace beta=b49 + b55 in 27
replace ci_l = beta - 1.96*sqrt(varb49 + varb55 + 2*covb49b55) in 27
replace ci_h = beta + 1.96*sqrt(varb49 + varb55 + 2*covb49b55) in 27
* spendinst2EUbad1 in 28
replace beta=b57 in 28
replace ci_l = beta - 1.96*sqrt(varb57) in 28
replace ci_h = beta + 1.96*sqrt(varb57) in 28
* spendinst2EUbad2 in 29
replace beta=b57 + b62 in 29
replace ci_l = beta - 1.96*sqrt(varb57 + varb62 + 2*covb57b62) in 29
replace ci_h = beta + 1.96*sqrt(varb57 + varb62 + 2*covb57b62) in 29
* spendinst2EUbad3 in 30
replace beta=b57 + b63 in 30
replace ci_l = beta - 1.96*sqrt(varb57 + varb63 + 2*covb57b63) in 30
replace ci_h = beta + 1.96*sqrt(varb57 + varb63 + 2*covb57b63) in 30
* contrinst2EUbad1 in 31
replace beta=b65 in 31
replace ci_l = beta - 1.96*sqrt(varb65) in 31
replace ci_h = beta + 1.96*sqrt(varb65) in 31
* contrinst2EUbad2 in 32
replace beta=b65 + b71 in 32
replace ci_l = beta - 1.96*sqrt(varb65 + varb71 + 2*covb65b71) in 32
replace ci_h = beta + 1.96*sqrt(varb65 + varb71 + 2*covb65b71) in 32
* contrinst2EUbad3 in 33
replace beta=b65 + b72 in 33
replace ci_l = beta - 1.96*sqrt(varb65 + varb72 + 2*covb65b72) in 33
replace ci_h = beta + 1.96*sqrt(varb65 + varb72 + 2*covb65b72) in 33
* contrinst3EUbad1 in 34
replace beta=b66 in 34
replace ci_l = beta - 1.96*sqrt(varb66) in 34
replace ci_h = beta + 1.96*sqrt(varb66) in 34
* contrinst3EUbad2 in 35
replace beta=b66 + b74 in 35
replace ci_l = beta - 1.96*sqrt(varb66 + varb74 + 2*covb66b74) in 35
replace ci_h = beta + 1.96*sqrt(varb66 + varb74 + 2*covb66b74) in 35
* contrinst3EUbad3 in 36
replace beta=b66 + b75 in 36
replace ci_l = beta - 1.96*sqrt(varb66 + varb75 + 2*covb66b75) in 36
replace ci_h = beta + 1.96*sqrt(varb66 + varb75 + 2*covb66b75) in 36

eclplot beta ci_l ci_h MVZ in 1/36, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.2 "-0.2" -.1 "-0.1" 0 "0" .1 "0.1", noticks labsize(2)) xtitle("Effect on Pr(Fiscal Union Being Chosen)", size(2)) ytitle("") ///
ylabel( 1 "Tax rate 3‰: neither" 2 ": bad" 3 ": good" 4 "Tax rate 5‰: neither" 5 ": bad" 6 ": good" 7 "Tax rate 10‰: neither" 8 ": bad" 9 ": good" ///
10 "Additional tax: neither" 11 ": bad" 12 ": good" 13 "Unemployment: neither" 14 ": bad" 15 ": good" 16 "Education: neither" 17 ": bad" 18 ": good" ///
19 "Infrastructure: neither" 20 ": bad" 21 ": good" 22 "Not earnmarked: neither" 23 ": bad" 24 ": good" ///
25 "Add. spending: neither" 26 ": bad" 27 ": good" 28 "Government: neither" 29 ": bad" 30 ": good" ///
31 "Eu. Commission: neither" 32 ": bad" 33 ": good" 34 "It. Auditors Court: neither" 35 ": bad" 36 ": good" ///
, noticks labsize(2)) saving(figure_S10right, replace)

graph combine figure_S10left.gph figure_S10right.gph, col(2) graphregion(fcolor(white)) saving(figure_s10, replace)



