version 14

* TABLE S13 Interaction between Attributes of Economic Policy and Ideology
use dataset2.dta, clear

* create lr variable
* D028_01 more recent and less missings
* do not position themselves
drop if D028_01==12
* do not know
drop if D028_01==13
rename D028_01 lr

reg Y1 i.unemployment##c.lr i.inflation##c.lr i.taxsoc##c.lr i.euro##c.lr i.eucontrol##c.lr i.eutaxsoc##c.lr, cl(ID)
estimates store econ1

reg Y2 i.unemployment##c.lr i.inflation##c.lr i.taxsoc##c.lr i.euro##c.lr i.eucontrol##c.lr i.eutaxsoc##c.lr, cl(ID)
estimates store econ2

outreg2 [econ1 econ2] using Table_S13.xml, excel replace title("Interaction between Attributes of Economic Policy and Ideology")

* TABLE S14 Interaction between Attributes of Fiscal Union Scheme and Ideology
use dataset2.dta, clear

* create lr variable
* do not position themselves
drop if Q021_01_W3_2015==12
* do not know
drop if Q021_01_W3_2015==13

rename Q021_01_W3_2015 lr

reg FU1 i.taxrate##c.lr i.taxtype##c.lr i.spend##c.lr i.spendtype##c.lr i.spendinst##c.lr i.contrinst##c.lr, cl(ID)
estimates store fu1

reg FU2 i.taxrate##c.lr i.taxtype##c.lr i.spend##c.lr i.spendtype##c.lr i.spendinst##c.lr i.contrinst##c.lr, cl(ID)
estimates store fu2

outreg2 [fu1 fu2] using Table_S14.xml, excel replace title("Interaction between Attributes of Fiscal Union and Ideology")


