version 14

* TABLE S19 Interaction between Attributes of Fiscal Union Scheme and Trust

use dataset2.dta, clear

* creating trust variables
************* Trust in people (trust_people)
* Q010_W3_2015 A Suo parere ci si puo' fidare della maggior parte delle persone, o e' bene essere cauti nell'avere a che fare con la gente?
* Esprima la sua opinione in una scala da 1 a 7, dove 1 significa 'E' bene essere cauti' e 7 significa'Ci si puo' fidare'.
* replace "do not know"
replace Q010_W3_2015=. if Q010_W3_2015==8
rename Q010_W3_2015 trust_p

reg FU1 i.taxrate##c.trust_p i.taxtype##c.trust_p i.spend##c.trust_p i.spendtype##c.trust_p i.spendinst##c.trust_p i.contrinst##c.trust_p, cl(ID)
estimates store fu1

************* Trust EU (trust_EU)
* Q013_03_W3_2015 * Quanta fiducia ha nei confronti delle seguenti istituzioni?: L'Unione Europea
* 1 low trust, 4 high trust, 5 do not know
* replace "do not know"
replace Q013_03_W3_2015=. if Q013_03_W3_2015==5
rename Q013_03_W3_2015 trust_EU

reg FU1 i.taxrate##c.trust_EU i.taxtype##c.trust_EU i.spend##c.trust_EU i.spendtype##c.trust_EU i.spendinst##c.trust_EU i.contrinst##c.trust_EU, cl(ID)
estimates store fu2

************* Trust Greek Gov (trust_Gr)
* D.14.5 Quanta fiducia ha nei confronti delle seguenti istituzioni?Esprima il Suo giudizio su una scala che va da 'nessuna fiducia' a 'molta fiducia'.: Il governo greco
* replace "do not know"
replace Q107_02_W3_2015=. if Q107_02_W3_2015==5
rename Q107_02_W3_2015 trust_Gr

reg FU1 i.taxrate##c.trust_Gr i.taxtype##c.trust_Gr i.spend##c.trust_Gr i.spendtype##c.trust_Gr i.spendinst##c.trust_Gr i.contrinst##c.trust_Gr, cl(ID)
estimates store fu3

outreg2 [fu1 fu2 fu3] using Table_S19.xml, excel replace title("Interaction between Attributes of Fiscal Union and Trust")


