version 14

use dataset1.dta, clear

* TABLE S4 Robustness Analysis
* Model 1a
reg FU   ib3.employed c.faminc i.region c.lr i.EUbad c.identity ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
* Robustness Model 1a
reg FU   ib3.employed i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1ar1
reg FU   c.lr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1ar2
reg FU   i.EUbad i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1ar3
reg FU   c.identity i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1ar4
reg FU   c.trust_EU c.trust_Gr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1ar5
reg FU   ib3.employed c.lr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1ar6
reg FU   ib3.employed c.lr i.EUbad i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1ar7
reg FU   ib3.employed c.lr c.identity i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1ar8
reg FU   ib3.employed c.lr c.trust_EU c.trust_Gr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1ar9

outreg2 [m1ar1 m1ar2 m1ar3 m1ar4 m1ar5 m1ar6 m1ar7 m1ar8 m1ar9] using Table_S4_1a.xml, excel replace ///
title("TABLE S4: Robustess Test of Table 1 Model 1a") stats(coef se) ///
sortvar(1.employed 2.employed 4.employed faminc 2.region lr 2.EUbad 3.EUbad identity itaeuro trust_EU trust_It trust_Gr trust_Ge trust_GrP trust_GeP trust_p 2.female edu age)

* Model 1b
reg FU   ib3.employed c.faminc i.region c.lr i.EUbad c.itaeuro ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
* Robustness Model 1b
reg FU   ib3.employed i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1br1
reg FU   c.lr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1br2
reg FU   i.EUbad i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1br3
reg FU   c.itaeuro i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1br4
reg FU   c.trust_EU c.trust_Gr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1br5
reg FU   ib3.employed c.lr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1br6
reg FU   ib3.employed c.lr i.EUbad i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1br7
reg FU   ib3.employed c.lr c.itaeuro i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1br8
reg FU   ib3.employed c.lr c.trust_EU c.trust_Gr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m1br9

outreg2 [m1br1 m1br2 m1br3 m1br4 m1br5 m1br6 m1br7 m1br8 m1br9] using Table_S4_1b.xml, excel replace ///
title("TABLE S4: Robustess Test of Table 1 Model 1b") stats(coef se) ///
sortvar(1.employed 2.employed 4.employed faminc 2.region lr 2.EUbad 3.EUbad identity itaeuro trust_EU trust_It trust_Gr trust_Ge trust_GrP trust_GeP trust_p 2.female edu age)

* Model 2a
reg FUcd   ib3.employed c.faminc i.region c.lr i.EUbad c.identity ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
* Robustness Model 2a
reg FUcd   ib3.employed i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2ar1
reg FUcd   c.lr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2ar2
reg FUcd   i.EUbad i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2ar3
reg FUcd   c.identity i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2ar4
reg FUcd   c.trust_EU c.trust_Gr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2ar5
reg FUcd   ib3.employed c.lr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2ar6
reg FUcd   ib3.employed c.lr i.EUbad i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2ar7
reg FUcd   ib3.employed c.lr c.identity i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2ar8
reg FUcd   ib3.employed c.lr c.trust_EU c.trust_Gr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2ar9

outreg2 [m2ar1 m2ar2 m2ar3 m2ar4 m2ar5 m2ar6 m2ar7 m2ar8 m2ar9] using Table_S4_2a.xml, excel replace ///
title("TABLE S4: Robustess Test of Table 1 Model 2a") stats(coef se) ///
sortvar(1.employed 2.employed 4.employed faminc 2.region lr 2.EUbad 3.EUbad identity itaeuro trust_EU trust_It trust_Gr trust_Ge trust_GrP trust_GeP trust_p 2.female edu age)

* Model 2b
reg FUcd   ib3.employed c.faminc i.region c.lr i.EUbad c.itaeuro ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
* Robustness Model 2b
reg FUcd   ib3.employed i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2br1
reg FUcd   c.lr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2br2
reg FUcd   i.EUbad i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2br3
reg FUcd   c.itaeuro i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2br4
reg FUcd   c.trust_EU c.trust_Gr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2br5
reg FUcd   ib3.employed c.lr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2br6
reg FUcd   ib3.employed c.lr i.EUbad i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2br7
reg FUcd   ib3.employed c.lr c.itaeuro i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2br8
reg FUcd   ib3.employed c.lr c.trust_EU c.trust_Gr i.female c.edu c.age if (e(sample)==1) , vce(robust)
estimates store m2br9

outreg2 [m2br1 m2br2 m2br3 m2br4 m2br5 m2br6 m2br7 m2br8 m2br9] using Table_S4_2b.xml, excel replace ///
title("TABLE S4: Robustess Test of Table 1 Model 2b") stats(coef se) ///
sortvar(1.employed 2.employed 4.employed faminc 2.region lr 2.EUbad 3.EUbad identity itaeuro trust_EU trust_It trust_Gr trust_Ge trust_GrP trust_GeP trust_p 2.female edu age)


